﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Property2
{
    class Fruit
    {
        //プロパティ
        public string Name { get; private set; }
        public int Price { get; set; }

        //コンストラクタ
        public Fruit(string name)
            :this(name, 0)
        {
        }

        public Fruit(string name, int price)
        {
            this.Name = name;
            this.Price = price;
        }

        //メソッド
        //個数を受け取って合計金額を計算するメソッド
        public int CalculatePrice(int quantity)
        {
            return this.Price * quantity;
        }
    }
}
